# RPM specfile for mc module
# Generated Wed Apr  3 21:55:41 2002 GMT by Ximian build system
# $Id: bb_do,v 1.182 2002/03/26 20:35:26 dave Exp $
# from $Id: debian-control-to-xml,v 1.1 2001/01/12 19:41:27 peter Exp 1000

%define nam	mc
%define ver	4.5.55
%define ximrev	2

Name:     	mc
Version: 	4.5.55
Release:	1.ximian.2
Vendor:		Ximian, Inc.
Distribution:	Ximian GNOME for SuSE Linux 7.2 / i386
Copyright:	GPL
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /usr/share/doc/packages
URL:		http://www.gnome.org/mc/
Source0:	mc-4.5.55.tar.gz
Patch0:		mc-4.5.35-xtermcolor.patch
Patch1:		mc-4.5.36-mimekeys.patch
Patch2:		mc-4.5.51-gnome-editor.patch
Patch3:		mc-no-string-inlines.patch
Summary:	A user-friendly file manager and visual shell
Group:		Applications/Communications
Provides:	ximian-mc = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}

%description
Midnight Commander is text-based (but feature-rich!) file 
manager reminiscent of the Norton Commander on steroids.  Capabilites 
include mouse support (for both xterm and console), undelete (ext2 filesystems only), 
FTP, and binary and text editing. MC is also capable of most system administration 
tasks, including the browsing, unpacking, and installation of 
deb, rpm, zip, zoo, and tar.gz files.

%files
%defattr(-, root, root)
%doc FAQ COPYING NEWS README
/opt/gnome/bin/mc
/opt/gnome/bin/mcedit
/opt/gnome/bin/mcmfmt
/opt/gnome/bin/mcview
/opt/gnome/man/man1/*
/opt/gnome/lib/mc/
/opt/gnome/share/mime-info/*
/opt/gnome/*/locale/*/LC_MESSAGES/*
%config /etc/opt/gnome/mc.global


%package -n gmc
Summary:	The GNOME version of the Midnight Commander file manager.
Group:		User Interface/Desktops
Requires:	mc = %{PACKAGE_VERSION}
Provides:	ximian-gmc = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}

%description -n gmc
GMC (GNU Midnight Commander) is a file manager based on the terminal
version of Midnight Commander, with the addition of a GNOME GUI
desktop front-end. GMC can FTP, view TAR and compressed files and look
into RPMs for specific files.


Install gmc if you're installing GNOME and you'd like to use the
Midnight Commander file manager with it.

%files -n gmc
%defattr(-, root, root)
%doc lib/README.desktop
/opt/gnome/bin/gmc
/opt/gnome/bin/gmc-client
/opt/gnome/bin/plain-gmc
/opt/gnome/share/pixmaps/mc/*
/opt/gnome/share/idl/*.idl
/opt/gnome/share/gnome/help/*
/opt/gnome/share/mc/
%config /etc/opt/gnome/CORBA/servers/*


%package -n mcserv
Summary:	Server for the Midnight Commander network file management system
Group:		System/Servers
Requires:	mc = %{PACKAGE_VERSION}
Provides:	ximian-mcserv = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}

%description -n mcserv
Install mcserv on machines if you want to access their file systems
remotely using the Midnight Commander file management system

%files -n mcserv
%defattr(-, root, root)
/opt/gnome/bin/mcserv
/opt/gnome/man/man8/mcserv.*
/etc/pam.d/mcserv
/etc/rc.d/init.d/mcserv


# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup  -q -D -n mc-4.5.55
    ;;
all)
%setup  -q -n mc-4.5.55
    ;;
esac
case "${RPM_COMMAND:-all}" in
dist|all)
%patch -p1 -P 0
%patch -p1 -P 1
%patch -p1 -P 2
%patch -p1 -P 3
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
ARCH=%{_target_platform}
export MAKE RPM_COMMAND DESTDIR ARCH
case "$RPM_COMMAND" in
prepare|all)
    ./configure --sysconfdir=/etc/opt/gnome --prefix=/opt/gnome --mandir=/opt/gnome/man --infodir=/opt/gnome/info --localstatedir=/var --with-gnome --with-ext2undel --with-gpm-mouse --with-included-slang --with-terminfo --with-netrc --enable-mcserv-install
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    ${MAKE}
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    ${MAKE} install DESTDIR=${DESTDIR}; mkdir -p ${DESTDIR}/etc/rc.d/init.d; mkdir -p ${DESTDIR}/etc/pam.d; install lib/mcserv.init ${DESTDIR}/etc/rc.d/init.d/mcserv; install -m 644 lib/mcserv.pamd ${DESTDIR}/etc/pam.d/mcserv
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac


%changelog
* Wed Apr 3 2002 Ximian, Inc.

- Version: 4.5.55-1.ximian.2
- Summary: New build.
- New automated build.

